<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>pyxmpp.interface</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        <a href="pyxmpp-module.html">Package&nbsp;pyxmpp</a> ::
        Module&nbsp;interface
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<h1 class="epydoc">Source Code for <a href="pyxmpp.interface-module.html">Module pyxmpp.interface</a></h1>
<pre class="py-src">
<a name="L1"></a><tt class="py-lineno"> 1</tt>  <tt class="py-line"><tt class="py-comment">#</tt> </tt>
<a name="L2"></a><tt class="py-lineno"> 2</tt>  <tt class="py-line"><tt class="py-comment"># (C) Copyright 2006 Jacek Konieczny &lt;jajcus@jajcus.net&gt;</tt> </tt>
<a name="L3"></a><tt class="py-lineno"> 3</tt>  <tt class="py-line"><tt class="py-comment">#</tt> </tt>
<a name="L4"></a><tt class="py-lineno"> 4</tt>  <tt class="py-line"><tt class="py-comment"># This program is free software; you can redistribute it and/or modify</tt> </tt>
<a name="L5"></a><tt class="py-lineno"> 5</tt>  <tt class="py-line"><tt class="py-comment"># it under the terms of the GNU Lesser General Public License Version</tt> </tt>
<a name="L6"></a><tt class="py-lineno"> 6</tt>  <tt class="py-line"><tt class="py-comment"># 2.1 as published by the Free Software Foundation.</tt> </tt>
<a name="L7"></a><tt class="py-lineno"> 7</tt>  <tt class="py-line"><tt class="py-comment">#</tt> </tt>
<a name="L8"></a><tt class="py-lineno"> 8</tt>  <tt class="py-line"><tt class="py-comment"># This program is distributed in the hope that it will be useful,</tt> </tt>
<a name="L9"></a><tt class="py-lineno"> 9</tt>  <tt class="py-line"><tt class="py-comment"># but WITHOUT ANY WARRANTY; without even the implied warranty of</tt> </tt>
<a name="L10"></a><tt class="py-lineno">10</tt>  <tt class="py-line"><tt class="py-comment"># MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the</tt> </tt>
<a name="L11"></a><tt class="py-lineno">11</tt>  <tt class="py-line"><tt class="py-comment"># GNU Lesser General Public License for more details.</tt> </tt>
<a name="L12"></a><tt class="py-lineno">12</tt>  <tt class="py-line"><tt class="py-comment">#</tt> </tt>
<a name="L13"></a><tt class="py-lineno">13</tt>  <tt class="py-line"><tt class="py-comment"># You should have received a copy of the GNU Lesser General Public</tt> </tt>
<a name="L14"></a><tt class="py-lineno">14</tt>  <tt class="py-line"><tt class="py-comment"># License along with this program; if not, write to the Free Software</tt> </tt>
<a name="L15"></a><tt class="py-lineno">15</tt>  <tt class="py-line"><tt class="py-comment"># Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.</tt> </tt>
<a name="L16"></a><tt class="py-lineno">16</tt>  <tt class="py-line"><tt class="py-comment">#</tt> </tt>
<a name="L17"></a><tt class="py-lineno">17</tt>  <tt class="py-line"> </tt>
<a name="L18"></a><tt class="py-lineno">18</tt>  <tt class="py-line"><tt class="py-docstring">"""Interface API.</tt> </tt>
<a name="L19"></a><tt class="py-lineno">19</tt>  <tt class="py-line"><tt class="py-docstring"></tt> </tt>
<a name="L20"></a><tt class="py-lineno">20</tt>  <tt class="py-line"><tt class="py-docstring">If zope.interface is available this module will be its equivalent, otherwise</tt> </tt>
<a name="L21"></a><tt class="py-lineno">21</tt>  <tt class="py-line"><tt class="py-docstring">minimum interface API (partially compatible with zope.interface) will be</tt> </tt>
<a name="L22"></a><tt class="py-lineno">22</tt>  <tt class="py-line"><tt class="py-docstring">defined here. </tt> </tt>
<a name="L23"></a><tt class="py-lineno">23</tt>  <tt class="py-line"><tt class="py-docstring"></tt> </tt>
<a name="L24"></a><tt class="py-lineno">24</tt>  <tt class="py-line"><tt class="py-docstring">When full ZopeInterfaces API is needed impoer zope.interface instead of this module."""</tt> </tt>
<a name="L25"></a><tt class="py-lineno">25</tt>  <tt class="py-line"> </tt>
<a name="L26"></a><tt class="py-lineno">26</tt>  <tt class="py-line"> </tt>
<a name="L27"></a><tt class="py-lineno">27</tt>  <tt class="py-line"><tt class="py-keyword">try</tt><tt class="py-op">:</tt> </tt>
<a name="L28"></a><tt class="py-lineno">28</tt>  <tt class="py-line">    <tt class="py-keyword">from</tt> <tt class="py-name">zope</tt><tt class="py-op">.</tt><tt id="link-0" class="py-name" targets="Module pyxmpp.interface=pyxmpp.interface-module.html,Variable zope.interface.interface.Attribute.interface=zope.interface.interface.Attribute-class.html#interface"><a title="pyxmpp.interface
zope.interface.interface.Attribute.interface" class="py-name" href="#" onclick="return doclink('link-0', 'interface', 'link-0');">interface</a></tt> <tt class="py-keyword">import</tt> <tt id="link-1" class="py-name" targets="Variable pyxmpp.interface_micro_impl.Interface=pyxmpp.interface_micro_impl-module.html#Interface,Class zope.interface.Interface=zope.interface.Interface-class.html"><a title="pyxmpp.interface_micro_impl.Interface
zope.interface.Interface" class="py-name" href="#" onclick="return doclink('link-1', 'Interface', 'link-1');">Interface</a></tt><tt class="py-op">,</tt> <tt id="link-2" class="py-name" targets="Class pyxmpp.interface_micro_impl.Attribute=pyxmpp.interface_micro_impl.Attribute-class.html,Class zope.interface.interface.Attribute=zope.interface.interface.Attribute-class.html"><a title="pyxmpp.interface_micro_impl.Attribute
zope.interface.interface.Attribute" class="py-name" href="#" onclick="return doclink('link-2', 'Attribute', 'link-2');">Attribute</a></tt><tt class="py-op">,</tt> <tt id="link-3" class="py-name" targets="Function pyxmpp.interface.providedBy()=pyxmpp.interface-module.html#providedBy,Method pyxmpp.interface_micro_impl.InterfaceClass.providedBy()=pyxmpp.interface_micro_impl.InterfaceClass-class.html#providedBy,Function pyxmpp.interface_micro_impl.providedBy()=pyxmpp.interface_micro_impl-module.html#providedBy"><a title="pyxmpp.interface.providedBy
pyxmpp.interface_micro_impl.InterfaceClass.providedBy
pyxmpp.interface_micro_impl.providedBy" class="py-name" href="#" onclick="return doclink('link-3', 'providedBy', 'link-3');">providedBy</a></tt><tt class="py-op">,</tt> <tt id="link-4" class="py-name" targets="Function pyxmpp.interface.implementedBy()=pyxmpp.interface-module.html#implementedBy,Method pyxmpp.interface_micro_impl.InterfaceClass.implementedBy()=pyxmpp.interface_micro_impl.InterfaceClass-class.html#implementedBy,Function pyxmpp.interface_micro_impl.implementedBy()=pyxmpp.interface_micro_impl-module.html#implementedBy"><a title="pyxmpp.interface.implementedBy
pyxmpp.interface_micro_impl.InterfaceClass.implementedBy
pyxmpp.interface_micro_impl.implementedBy" class="py-name" href="#" onclick="return doclink('link-4', 'implementedBy', 'link-4');">implementedBy</a></tt><tt class="py-op">,</tt> <tt id="link-5" class="py-name" targets="Function pyxmpp.interface_micro_impl.implements()=pyxmpp.interface_micro_impl-module.html#implements"><a title="pyxmpp.interface_micro_impl.implements" class="py-name" href="#" onclick="return doclink('link-5', 'implements', 'link-5');">implements</a></tt> </tt>
<a name="L29"></a><tt class="py-lineno">29</tt>  <tt class="py-line"><tt class="py-keyword">except</tt> <tt class="py-name">ImportError</tt><tt class="py-op">:</tt> </tt>
<a name="L30"></a><tt class="py-lineno">30</tt>  <tt class="py-line">    <tt class="py-keyword">from</tt> <tt id="link-6" class="py-name" targets="Package pyxmpp=pyxmpp-module.html"><a title="pyxmpp" class="py-name" href="#" onclick="return doclink('link-6', 'pyxmpp', 'link-6');">pyxmpp</a></tt><tt class="py-op">.</tt><tt id="link-7" class="py-name" targets="Module pyxmpp.interface_micro_impl=pyxmpp.interface_micro_impl-module.html"><a title="pyxmpp.interface_micro_impl" class="py-name" href="#" onclick="return doclink('link-7', 'interface_micro_impl', 'link-7');">interface_micro_impl</a></tt> <tt class="py-keyword">import</tt> <tt id="link-8" class="py-name"><a title="pyxmpp.interface_micro_impl.Interface
zope.interface.Interface" class="py-name" href="#" onclick="return doclink('link-8', 'Interface', 'link-1');">Interface</a></tt><tt class="py-op">,</tt> <tt id="link-9" class="py-name"><a title="pyxmpp.interface_micro_impl.Attribute
zope.interface.interface.Attribute" class="py-name" href="#" onclick="return doclink('link-9', 'Attribute', 'link-2');">Attribute</a></tt><tt class="py-op">,</tt> <tt id="link-10" class="py-name"><a title="pyxmpp.interface.providedBy
pyxmpp.interface_micro_impl.InterfaceClass.providedBy
pyxmpp.interface_micro_impl.providedBy" class="py-name" href="#" onclick="return doclink('link-10', 'providedBy', 'link-3');">providedBy</a></tt><tt class="py-op">,</tt> <tt id="link-11" class="py-name"><a title="pyxmpp.interface.implementedBy
pyxmpp.interface_micro_impl.InterfaceClass.implementedBy
pyxmpp.interface_micro_impl.implementedBy" class="py-name" href="#" onclick="return doclink('link-11', 'implementedBy', 'link-4');">implementedBy</a></tt><tt class="py-op">,</tt> <tt id="link-12" class="py-name"><a title="pyxmpp.interface_micro_impl.implements" class="py-name" href="#" onclick="return doclink('link-12', 'implements', 'link-5');">implements</a></tt> </tt>
<a name="L31"></a><tt class="py-lineno">31</tt>  <tt class="py-line"> </tt>
<a name="L32"></a><tt class="py-lineno">32</tt>  <tt class="py-line"> </tt>
<a name="L33"></a><tt class="py-lineno">33</tt>  <tt class="py-line"><tt class="py-name">__all__</tt> <tt class="py-op">=</tt> <tt class="py-op">(</tt><tt class="py-string">"Interface"</tt><tt class="py-op">,</tt> <tt class="py-string">"Attribute"</tt><tt class="py-op">,</tt> <tt class="py-string">"providedBy"</tt><tt class="py-op">,</tt> <tt class="py-string">"implementedBy"</tt><tt class="py-op">,</tt> <tt class="py-string">"implements"</tt><tt class="py-op">)</tt> </tt>
<a name="L34"></a><tt class="py-lineno">34</tt>  <tt class="py-line"> </tt>
<a name="L35"></a><tt class="py-lineno">35</tt>  <tt class="py-line"><tt class="py-comment"># vi: sts=4 et sw=4</tt> </tt>
<a name="L36"></a><tt class="py-lineno">36</tt>  <tt class="py-line"> </tt><script type="text/javascript">
<!--
expandto(location.href);
// -->
</script>
</pre>
<br />
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0.1 on Sun May  8 13:35:08 2011
    </td>
    <td align="right" class="footer">
      <a target="mainFrame" href="http://epydoc.sourceforge.net"
        >http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie();
  // -->
</script>
</body>
</html>
